#ifndef CRC_LIB
#define CRC_LIB

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

uint32_t crc_compute(uint8_t *buf, size_t size);

bool crc_append(char *path);

bool crc_verify(char *path);

#ifdef __cplusplus
}
#endif

#endif
